.card {
  position: relative;
  background: #FFFFFF;
  border: 1px solid #D8D8D8;
  border-radius: 16px;
  padding: 4px;
  cursor: pointer;
  transition: 0.1s linear transform;
  user-select: none;

  &__image {
    width: 100%;
    aspect-ratio: 2/1;
    object-fit: cover;
    border-radius: 12px;
    box-shadow: inset 0px 0px 2px rgba(0, 0, 0, 0.5);
    pointer-events: none;
  }

  &__info {
    display: flex;
    flex-direction: column;
    padding: 8px;
  }

  &__title {
    display: inline;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    margin-bottom: 8px;
    color: #000000;
  }

  &__price {
    position: absolute;
    top: 20px;
    right: 4px;
    background: #FFFFFF;
    box-shadow: -4px 0px 4px rgba(0, 0, 0, 0.3);
    border-radius: 10px 0px 0px 10px;
    padding: 4px 8px 4px;

    &::after,
    &::before {
      content: "";
      position: absolute;
      top: -4px;
      right: 0;
      height: 4px;
      width: 4px;
      background: #fff;
      clip-path: polygon(85% 65%, 100% 0, 100% 100%, 0 100%, 65% 85%);
    }

    &::after {
      top: 100%;
      transform: rotate(-90deg);
    }
  }

  &__count {
    position: absolute;
    top: 48px;
    right: 4px;
    background: #FFFFFF;
    box-shadow: -4px 0px 4px rgba(0, 0, 0, 0.3);
    border-radius: 10px 0px 0px 10px;
    padding: 4px 8px 4px;

    &::after,
    &::before {
      content: "";
      position: absolute;
      top: -4px;
      right: 0;
      height: 4px;
      width: 4px;
      background: #fff;
      clip-path: polygon(85% 65%, 100% 0, 100% 100%, 0 100%, 65% 85%);
    }

    &::after {
      top: 100%;
      transform: rotate(-90deg);
    }
  }

  &__mass {
    opacity: 0.4;
    color: #000;
    display: inline;
  }

  &--active {
    background: #ffffff;
    border: 1px solid #D8D8D8;
  }
}